packages:
  all:
    compiler:
      - gcc
      - aocc
      - nvhpc

    providers:
      mpi: [openmpi, intel-oneapi-mpi]
      jpeg: [libjpeg]
      zlib-api: [zlib-ng]
      pkgconfig: [pkgconf]
      szip: [libaec]
      unwind: [libunwind]
      uuid: [libuuid]
      zlib-api: [zlib-ng+compat]

    require:
    - spec: '^libuuid'
      when: '^uuid'

  glibc:
    prefer: ['%gcc@11.2.1']

  zlib-ng:
    require: ['build_system=autotools']
